
      SUBROUTINE MEGFRA

C ============================================================= C
C Define general frame.                                         C
C ============================================================= C

      IMPLICIT NONE

      CALL FRAMED
      CALL FRAVOL

      RETURN
      END

C ============================================================= C

      SUBROUTINE FRAMED

C ============================================================= C
C Define media for general frame.                               C
C Media numbers must range between 1 and 20.                    C
C ============================================================= C

      IMPLICIT NONE

      INTEGER IFIELD
      REAL    FIELDM,TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN

C Presence of magnetic field in the tracking medium.  
      IFIELD = 1

C Maximum magnetic field.
      FIELDM = 15.

C Maximum angular deviation.  
      TMAXFD = 20.0  

C Maximum step permitted (cm).
      STEMAX = 2.0

C Maximum fractional energy loss.
      DEEMAX = 0.01               

C Boundary crossing precision.
      EPSIL = 0.002 

C Minimum value for the maximum step imposed by dedx/mult scatt etc.
      STMIN = 0.001

C Tracking medium 1 Air.
      CALL GSTMED(1,'Air                $',15,                               
     +      -1,IFIELD,FIELDM,TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)        

C Tracking medium 2 Vacuum.
      CALL GSTMED(2,'Vac                $',16,            
     +      -1,IFIELD,FIELDM,TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)        

C Tracking medium 3 Al.
      CALL GSTMED(3,'Al                 $', 9,                            
     +      1,IFIELD,FIELDM,TMAXFD,STEMAX,DEEMAX,EPSIL,STMIN,0,0)        

      RETURN
      END

C ============================================================= C

      SUBROUTINE FRAVOL

C ============================================================= C
C Define general frame volume.                                  C
C ============================================================= C

      IMPLICIT NONE

#include"geant321/gcvolu.inc"

C Dimension of the frame: cylynder.
      REAL PFRAM(3)
      DATA PFRAM/0.0,140.,160./                                  

      INTEGER IVOLU

C Vacuum frame.
      CALL GSVOLU('FRAM','TUBE',2,PFRAM,3,IVOLU)

      RETURN
      END


