C ------------------------------- Photomultipliers: grid spacing

	REAL PDX, PDY, PDZ
	PARAMETER (PDX=6.2)   ! PMT spacing in Z on the inner surface 
	PARAMETER (PDY=6.2)   ! PMT spacing in r*dfi on the inner surface
	PARAMETER (PDZ=6.2)   ! PMT spacing in Z on the outer surface 

	INTEGER NPMX,NPMY,NPMZ
	INTEGER NPMT
	PARAMETER (NPMX=8, NPMY=16, NPMZ=8,
     &             NPMT=2.*(NPMX*NPMZ+NPMY*NPMZ+NPMX*NPMY))


C ------------------------------- Calorimeter Geometrical Constants

	REAL LXXTO, LXYTO,  ! internal and external radius 
     &       LXZTO, 
     &       LXALI, LXALE,  ! internal and external alu. thick.
     &       LXVAC,         ! vacuum chamber thick. 
     &       LXPLA,         ! plastic thick. 
     &       LXPMR, LXPMT   ! pmt radius and thickness.

	PARAMETER (LXXTO= NPMX*PDX, LXYTO= NPMY*PDY, 
     &             LXZTO= NPMZ*PDZ, 
     &             LXALI=   .6, LXALE=   .3, LXVAC=  3.0, 
     &             LXPMR=  2.54,LXPMT=  4.0, LXPLA=  4.5)

	real lxatte,        ! absorption attenuation length (cm)
     &       lxrayl,        ! Rayleigh diffusion length (cm)
     &       lxpmtqe,       ! PMT's quantum efficiency
     &       lxlyield,      ! Liquid Xenon light yield (photon/MeV)
     &       lxrefind,      ! Refractive index
     &       lxtau1         ! Decay time (ns)
	PARAMETER (LXATTE  = 100.  , LXRAYL   =    30. ,
     &             LXPMTQE =  0.1  , LXLYIELD = 41670. ,
     &             LXREFIND=  1.57 , LXTAU1   =    22.)


C ------------------------------- Photomultipliers: face coordinates

	REAL PMCO1(NPMX, NPMY, 3), PMCO6(NPMX, NPMY, 3),  
     &       PMCO2(NPMY, NPMZ, 3), PMCO4(NPMY, NPMZ, 3),
     &       PMCO3(NPMX, NPMZ, 3), PMCO5(NPMX, NPMZ, 3)

 
C ------------------------------  Photomultipliers: cumulative phel 
	REAL PM1CH(NPMX, NPMY), PM6CH(NPMX, NPMY),
     &       PM2CH(NPMY, NPMZ), PM4CH(NPMY, NPMZ),
     &       PM3CH(NPMX, NPMZ), PM5CH(NPMX, NPMZ)

C ------------------------------  Photomultipliers: arrival time  
	REAL PM1T(NPMX, NPMY), PM6T(NPMX, NPMY),
     &       PM2T(NPMY, NPMZ), PM4T(NPMY, NPMZ),
     &       PM3T(NPMX, NPMZ), PM5T(NPMX, NPMZ)

	COMMON/CPMINFO/ PMCO1, PMCO2, PMCO3, PMCO4, PMCO5, PMCO6,
     &                  PM1CH, PM2CH, PM3CH, PM4CH, PM5CH, PM6CH,
     &                  PM1T,  PM2T,  PM3T,  PM4T,  PM5T,  PM6T


C ------------------------------- DETECTOR FRAMES 
	REAL  PFBA, PFEC
	COMMON/CXFRAM/PFBA(5), PFEC(3)


C ------------------------------- MONTECARLO CONFIGURATION
	INTEGER LUNRZ, LUNCARD, LUNPS, LUNBIN
	CHARACTER*64 FILRZ, FILCARD, FILPS, FILBIN
	COMMON /CMXLUN/LUNRZ, LUNCARD, LUNPS, LUNBIN,
     +                 FILRZ, FILCARD, FILPS, FILBIN

c -------------------------------  N-TUPLE dimension 
	INTEGER NTAGS
	PARAMETER (NTAGS=45)


C   .... ETC.
      COMMON/DEPOSIT/ENEDEP, NEF, CORBAR, CORINT, pargen 
      REAL ENEDEP(9)		! Sum of Energy Deposits
      REAL CORBAR(3)		! Sum CH*(x,y,z)pmt
      REAL PARGEN(3)		! Generated particles
      REAL CORINT(4)  		! Interaction Point coordinates, time
      INTEGER NEF		! Total Number of Photons

      INTEGER       LIATTE,LISCAT,LIPMTS
      COMMON/XECARD/LIATTE,LISCAT,LIPMTS 









